Create Project
Stores a cloud-linked Project. Local-only Projects stay outside Platform.
Operation ID
createPlaybookProject/v3/playbook/projectsExample requestcURL
curl -X POST 'https://api.sumr.co/v3/playbook/projects' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{"description":"example","localProjectId":"example","metadata":{},"name":"example","repoUrl":"example","slug":"example"}'Body
CreatePlaybookProjectRequestDtoapplication/json
{
"description": "example",
"localProjectId": "example",
"metadata": {},
"name": "example",
"repoUrl": "example",
"slug": "example"
}Responses
201Project created.
PlaybookProjectDto
{
"properties": {
"archivedAt": {
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
"type": "string"
},
"createdAt": {
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
"type": "string"
},
"description": {
"maxLength": 1000,
"type": "string"
},
"id": {
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$",
"type": "string"
},
"localProjectId": {
"maxLength": 160,
"type": "string"
},
"metadata": {
"additionalProperties": {},
"propertyNames": {
"type": "string"
},
"type": "object"
},
"name": {
"maxLength": 180,
"minLength": 1,
"type": "string"
},
"repoUrl": {
"maxLength": 500,
"type": "string"
},
"slug": {
"maxLength": 120,
"minLength": 1,
"pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$",
"type": "string"
},
"status": {
"enum": [
"active",
"archived"
],
"type": "string"
},
"updatedAt": {
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
"type": "string"
}
},
"required": [
"id",
"slug",
"name",
"status",
"createdAt",
"updatedAt"
],
"type": "object"
}